Object Detection using Template

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Public Member Functions | Public Attributes | Private Attributes | List of all members
cz.vutbr.feec.novak68.rapidminer.tools.FoundedObject Class Reference
Collaboration diagram for cz.vutbr.feec.novak68.rapidminer.tools.FoundedObject:
[legend]

## Public Member Functions
boolean | isFounded ()
| FoundedObject ()
| FoundedObject (Object...foundedElements)

## Public Attributes
final List< Coordinate > | coordinates = new ArrayList<Coordinate>()

## Private Attributes
final boolean | founded

## Detailed Description

This object is used as crate for group of founded objects.

Author
  xnovak68

Definition at line 12 of file FoundedObject.java.

## Constructor & Destructor Documentation

cz.vutbr.feec.novak68.rapidminer.tools.FoundedObject.FoundedObject | ( |  | ) |

Definition at line 17 of file FoundedObject.java.

References cz.vutbr.feec.novak68.rapidminer.tools.FoundedObject.founded.

cz.vutbr.feec.novak68.rapidminer.tools.FoundedObject.FoundedObject | ( | Object... | foundedElements | ) |

Definition at line 18 of file FoundedObject.java.

References cz.vutbr.feec.novak68.rapidminer.tools.FoundedObject.founded.

## Member Function Documentation

boolean cz.vutbr.feec.novak68.rapidminer.tools.FoundedObject.isFounded | ( |  | ) |

Definition at line 15 of file FoundedObject.java.

References cz.vutbr.feec.novak68.rapidminer.tools.FoundedObject.founded.

## Member Data Documentation

final List<Coordinate> cz.vutbr.feec.novak68.rapidminer.tools.FoundedObject.coordinates = new ArrayList<Coordinate>()

Definition at line 14 of file FoundedObject.java.

final boolean cz.vutbr.feec.novak68.rapidminer.tools.FoundedObject.founded
| private

Definition at line 13 of file FoundedObject.java.

Referenced by cz.vutbr.feec.novak68.rapidminer.tools.FoundedObject.FoundedObject(), and cz.vutbr.feec.novak68.rapidminer.tools.FoundedObject.isFounded().

The documentation for this class was generated from the following file:

- src/cz/vutbr/feec/novak68/rapidminer/tools/FoundedObject.java